# $Revision: 1.36 $, $Date: 2005/01/10 13:34:13 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (needs working, not busy /dev/audio!)
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	Video-DVDRip
Summary:	Video::DVDRip Perl module
Summary(cs):	Modul Video::DVDRip pro Perl
Summary(da):	Perlmodul Video::DVDRip
Summary(de):	Video::DVDRip Perl Modul
Summary(es):	Mdulo de Perl Video::DVDRip
Summary(fr):	Module Perl Video::DVDRip
Summary(it):	Modulo di Perl Video::DVDRip
Summary(ja):	Video::DVDRip Perl ⥸塼
Summary(ko):	Video::DVDRip  
Summary(nb):	Perlmodul Video::DVDRip
Summary(pl):	Modu Perla Video::DVDRip
Summary(pt):	Mdulo de Perl Video::DVDRip
Summary(pt_BR):	Mdulo Perl Video::DVDRip
Summary(ru):	  Perl Video::DVDRip
Summary(sv):	Video::DVDRip Perlmodul
Summary(uk):	  Perl Video::DVDRip
Summary(zh_CN):	Video::DVDRip Perl ģ
Name:		perl-Video-DVDRip
Version:	0.52.0
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.exit1.org/dvdrip/dist/%{pnam}-%{version}.tar.gz
# Source0-md5:	6a74c18c3da4192262b1b1bd35b5257a
URL:		http://www.exit1.org/dvdrip/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-gtk
BuildRequires:	perl-gtk-Gdk-Pixbuf
BuildRequires:	gdk-pixbuf-devel
Requires:	transcode
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dvd::rip is a Perl GTK+ based DVD copy program build on top of a low
level DVD Ripping API, which uses the Linux Video Stream Processing
Tool transcode, written by Thomas streich.

%description -l pl
dvd::rip jest opartym na GTK+ programem w Perlu do kopiowania DVD,
zbudowanym w oparciu o niskopoziomowe API DVD Ripping, ktre z kolei
korzysta z transcode - linuksowego narzdzia do obrbki strumieni
obrazu, napisanego przez Thomasa streicha.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes Credits README TODO
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/Video
%{_mandir}/man1/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Video-DVDRip.spec,v $
Revision 1.36  2005/01/10 13:34:13  adamg
- updated to 0.52.0

Revision 1.35  2004/11/03 22:30:53  paladine
- formatting

Revision 1.34  2004/10/31 22:36:06  paladine
- spaces->tabs
- formatting

Revision 1.33  2004/10/25 11:36:57  paladine
- "HTML" and "Perl" unification

Revision 1.32  2004/10/25 08:49:34  paladine
- [Gg]tk+ -> GTK+

Revision 1.31  2004/09/19 12:33:36  havner
- removed exclude, rel 4

Revision 1.30  2004/09/19 12:03:53  havner
- rel 3, exclude alpha amd64 becase R: transcode

Revision 1.29  2004/06/05 18:10:49  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.28  2004/05/07 00:32:05  ankry
- rel. 2

Revision 1.27  2004/05/06 18:21:27  ankry
- fixed perl-devel BR

Revision 1.26  2004/05/03 23:39:22  ankry
- license fix, cosmetics

Revision 1.25  2004/04/19 06:59:51  adamg
- updated to 0.50.18

Revision 1.24  2004/03/13 23:09:17  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.23  2004/02/18 16:27:03  qboosh
- s/no/nb/ in Summary langs

Revision 1.22  2004/01/25 00:13:04  arekm
- autoupdated to 0.50.16

Revision 1.21  2003/08/12 22:32:51  ankry
- cosmetics

Revision 1.20  2003/06/11 14:14:06  qboosh
- up to 0.50.13, BR: perl-gtk-Gdk-Pixbuf

Revision 1.19  2003/05/25 06:25:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/04/11 18:59:40  radek
- BR: perl-devel; do not BR: perl

Revision 1.17  2003/04/09 21:43:18  ankry
- should be ready for perl-5.8.0;
- removed unnecessary Provides
- rel. 3

Revision 1.16  2003/03/13 00:04:02  ankry
- merge from RA-branch: updated to 0.50.8

Revision 1.15  2003/02/25 00:42:36  radek
- use the __perl macro

Revision 1.14  2003/02/19 00:16:02  ankry
- autoupdated to 0.50.3

Revision 1.13  2003/01/15 18:41:05  mis
- autoupdated to 0.48.6

Revision 1.12  2002/11/26 10:05:32  mis
- autoupdated to 0.48.2

Revision 1.11  2002/11/20 12:37:03  mis
- autoupdated to 0.48.0

Revision 1.10  2002/09/28 23:21:04  ankry
- added man1/*
- version 0.46, rel. 1

Revision 1.9  2002/09/28 16:01:41  kloczek
- release 3.

Revision 1.8  2002/09/27 21:39:46  ankry
- s/_with_test:/_with_tests:/ for consistency with comment and other modules

Revision 1.7  2002/08/05 18:38:24  radek
- now proper test exclusion

Revision 1.6  2002/08/04 19:48:09  ankry
- Mostly reverting last change:
- remove *EMPTY* man1 page
- restore Provides: they *ARE* necessary with current rpm-perlprov
- release 2

Revision 1.5  2002/08/04 10:04:48  kloczek
- release 1,
- remove all Provides entries (all are autgenerated)
- use DESTDIR style %%install,
- added man pages level 1 to %%files.

Revision 1.4  2002/07/29 21:06:18  qboosh
- cleanup

Revision 1.3  2002/07/27 21:44:42  ankry
- translations, cleaning
- fixed license
- added some not recognized automatically provides
- use OPTIMIZE=
- removed %%files automating; show them explicitely
- extract and add a manpage
- add %%doc
- release 0.2

Revision 1.2  2002/07/25 13:38:42  grzegorz
- %%clean moved up

Revision 1.1  2002/07/25 13:18:11  grzegorz
- initial PLD spec

* Mon May 27 2002 Rainer Lay <rainer.lay@gmx.de>
- changed naming scheme for prereleases

* Tue Apr  2 2002 Rainer Lay <rainer@faui6lx1.informatik.uni-erlangen.de>
- version 0.38

* Mon Mar 25 2002 Rainer Lay <rainer.lay@gmx.de>
- 38_01

* Wed Mar 13 2002 Nemo <no@one>
- bumped up to v0.35

* Tue Mar 05 2002 Nemo <no@one>
- bumped up to v0.34

* Tue Feb 19 2002 Nemo <no@one>
- bumped up to v0.33

* Mon Feb 18 2002 Nemo <no@one>
- bumped up to v0.31

* Sun Jan 20 2002 Nemo <no@one>
- bumped up to v0.30

* Sat Jan 19 2002 Nemo <no@one>
- bumped up to v0.29

* Sun Jan 06 2002 Nemo <no@one>
- bumped up to v0.28

* Sat Dec 15 2001 Nemo <no@one>
- First version, v0.25
